# Generated by Django 4.2.7 on 2023-11-29 02:31

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Capacitacion',
            fields=[
                ('numero', models.AutoField(db_column='Numero', primary_key=True, serialize=False)),
                ('fechainicio', models.DateField(db_column='FechaInicio')),
                ('fechafinal', models.DateField(db_column='FechaFinal')),
                ('capacidad', models.IntegerField(db_column='Capacidad')),
            ],
            options={
                'db_table': 'CAPACITACION',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CapctInstr',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'db_table': 'CAPCT_INSTR',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Constancia',
            fields=[
                ('numero', models.AutoField(db_column='Numero', primary_key=True, serialize=False)),
                ('fechaemision', models.DateField(auto_now_add=True, db_column='FechaEmision', null=True)),
                ('calificacion', models.FloatField(blank=True, db_column='Calificacion', null=True)),
            ],
            options={
                'db_table': 'CONSTANCIA',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Curso',
            fields=[
                ('codigo', models.CharField(db_column='Codigo', max_length=4, primary_key=True, serialize=False)),
                ('nombre', models.CharField(db_column='Nombre', max_length=40)),
                ('descripcion', models.CharField(db_column='Descripcion', max_length=320)),
                ('duracion', models.IntegerField(db_column='Duracion')),
            ],
            options={
                'db_table': 'CURSO',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Departamento',
            fields=[
                ('codigo', models.CharField(db_column='Codigo', max_length=4, primary_key=True, serialize=False)),
                ('nombre', models.CharField(db_column='Nombre', max_length=40)),
                ('descripcion', models.CharField(db_column='Descripcion', max_length=320)),
                ('numextension', models.CharField(db_column='NumExtension', max_length=4, unique=True)),
                ('fechacreacion', models.DateField(auto_now_add=True, db_column='FechaCreacion', null=True)),
            ],
            options={
                'db_table': 'DEPARTAMENTO',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Empleado',
            fields=[
                ('numero', models.AutoField(db_column='Numero', primary_key=True, serialize=False)),
                ('nombrepila', models.CharField(db_column='NombrePila', max_length=60)),
                ('appaterno', models.CharField(blank=True, db_column='ApPaterno', max_length=60, null=True)),
                ('apmaterno', models.CharField(blank=True, db_column='ApMaterno', max_length=60, null=True)),
                ('numtel', models.CharField(blank=True, db_column='NumTel', max_length=15, null=True)),
                ('email', models.CharField(db_column='Email', max_length=60, unique=True)),
                ('fechacontrato', models.DateField(auto_now_add=True, db_column='FechaContrato', null=True)),
            ],
            options={
                'db_table': 'EMPLEADO',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='EmpleadoExamen',
            fields=[
                ('num', models.AutoField(db_column='ID', primary_key=True, serialize=False)),
                ('calificacion', models.FloatField(blank=True, db_column='Calificacion', null=True)),
                ('fechaelaboracion', models.DateField(auto_now_add=True, db_column='FechaElaboracion', null=True)),
            ],
            options={
                'db_table': 'EMPLEADO_EXAMEN',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Examen',
            fields=[
                ('codigo', models.CharField(db_column='Codigo', max_length=4, primary_key=True, serialize=False)),
                ('nombre', models.CharField(db_column='Nombre', max_length=60)),
                ('descripcion', models.CharField(db_column='Descripcion', max_length=320)),
                ('tiempolimite', models.IntegerField(db_column='TiempoLimite')),
                ('intentosmax', models.IntegerField(db_column='IntentosMax')),
            ],
            options={
                'db_table': 'EXAMEN',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Inscripcion',
            fields=[
                ('numero', models.AutoField(db_column='Numero', primary_key=True, serialize=False)),
                ('fechainscripcion', models.DateField(auto_now_add=True, db_column='FechaInscripcion', null=True)),
            ],
            options={
                'db_table': 'INSCRIPCION',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Instructor',
            fields=[
                ('numero', models.AutoField(db_column='Numero', primary_key=True, serialize=False)),
                ('nombrepila', models.CharField(db_column='NombrePila', max_length=60)),
                ('appaterno', models.CharField(blank=True, db_column='ApPaterno', max_length=60, null=True)),
                ('apmaterno', models.CharField(blank=True, db_column='ApMaterno', max_length=60, null=True)),
                ('numtel', models.CharField(db_column='NumTel', max_length=15)),
                ('email', models.CharField(db_column='Email', max_length=60, unique=True)),
                ('fechacontrato', models.DateField(auto_now_add=True, db_column='FechaContrato', null=True)),
                ('contratacion', models.CharField(choices=[('Interna', 'Interna'), ('Externa', 'Externa')], max_length=10)),
            ],
            options={
                'db_table': 'INSTRUCTOR',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Materiales',
            fields=[
                ('codigo', models.CharField(db_column='Codigo', max_length=4, primary_key=True, serialize=False)),
                ('nombre', models.CharField(db_column='Nombre', max_length=80)),
                ('descripcion', models.CharField(db_column='Descripcion', max_length=320)),
            ],
            options={
                'db_table': 'MATERIALES',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='PregResp',
            fields=[
                ('num', models.AutoField(db_column='ID', primary_key=True, serialize=False)),
                ('respcorrecta', models.BooleanField(db_column='RespCorrecta')),
            ],
            options={
                'db_table': 'PREG_RESP',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Preguntas',
            fields=[
                ('codigo', models.CharField(db_column='Codigo', max_length=4, primary_key=True, serialize=False)),
                ('descripcion', models.CharField(db_column='Descripcion', max_length=320)),
            ],
            options={
                'db_table': 'PREGUNTAS',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Puesto',
            fields=[
                ('codigo', models.CharField(db_column='Codigo', max_length=4, primary_key=True, serialize=False)),
                ('nombre', models.CharField(db_column='Nombre', max_length=40)),
                ('descripcion', models.CharField(db_column='Descripcion', max_length=320)),
            ],
            options={
                'db_table': 'PUESTO',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='PuestoDepto',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'db_table': 'PUESTO_DEPTO',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Respuestas',
            fields=[
                ('codigo', models.CharField(db_column='Codigo', max_length=4, primary_key=True, serialize=False)),
                ('descripcion', models.CharField(db_column='Descripcion', max_length=320)),
            ],
            options={
                'db_table': 'RESPUESTAS',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='RespuestasEmpleado',
            fields=[
                ('num', models.AutoField(db_column='ID', primary_key=True, serialize=False)),
                ('intentosrealizados', models.IntegerField(db_column='IntentosRealizados', default=1)),
            ],
            options={
                'db_table': 'RESPUESTAS_EMPLEADO',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Temas',
            fields=[
                ('codigo', models.CharField(db_column='Codigo', max_length=4, primary_key=True, serialize=False)),
                ('nombre', models.CharField(db_column='Nombre', max_length=80)),
                ('descripcion', models.CharField(db_column='Descripcion', max_length=320)),
            ],
            options={
                'db_table': 'TEMAS',
                'managed': False,
            },
        ),
    ]
